#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1
visibility:           public
id:                   structured-0.1-HmuPuwFGCWkJ4BjGoXyF7j
key:                  structured-0.1-HmuPuwFGCWkJ4BjGoXyF7j
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  212281ca934dd6a514b059e8aae07a0c
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-8.10.2/site-local/structured-0.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/structured-0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/structured-0.1
hs-libraries:         HSstructured-0.1-HmuPuwFGCWkJ4BjGoXyF7j
depends:
    aeson-1.5.4.1-5QPQWeSep7gLtWVBYVmGmF array-0.5.4.0 base-4.14.1.0
    base16-bytestring-0.1.1.7-7MnoTKrQfBC3WeMx0LqUK0 binary-0.8.8.0
    bytestring-0.10.10.0 containers-0.6.2.1
    hashable-1.3.0.0-INcwLJdcVQt7eodWNbw65P
    scientific-0.3.6.2-AG0gEeWrL5AHdYalld8d0N
    tagged-0.8.6-6ynGuqiqWewDmeFAuVgKQe text-1.2.3.2
    time-compat-1.9.3-FfTtERkW3J62iZHfIZlPLl transformers-0.5.6.2
    unordered-containers-0.2.13.0-2NNOJVivZvgFZKXnpifQZy
    uuid-types-1.0.3-I4OrXqJ2TOxAdAKGK8HEfr
    vector-0.12.1.2-Is5PyQQ0d6E9G4uPuwXbQw

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

